module Store
  module Api
    class AppsController < Store::ApplicationController
      respond_to :json

      skip_before_filter :verify_authenticity_token
      skip_before_filter :set_user

      def index
        p = params.to_unsafe_h.except(:format, :controller, :action, :uuid, :space, :auth_token)
        query = ::Search::AppsSearch.new(p)
        @records = query.search
                       .paginate(:page => params[:page])
        paginate @records, each_serializer: Store::PublicAppSerializer
      end

      def show
        if app = App.find_by(id: params[:id])
          render jsonapi: app, serializer: Store::PublicAppSerializer
        else
          render_json_error :not_found, :app_not_found
        end
      end
    end
  end
end