module Store
  module Api
    module Store
      class OrdersController < ::Store::ApplicationController
        before_action :set_order, only: [:show, :update, :destroy]

        def index
          q={}
          unless (customer_id = params[:customer_id]).blank?
            q[:customer_id] = customer_id
          end
          if ids=params[:ids]
            q[:id]={:'$in' => ids.to_array}
          end

          @orders = Order.readable_by(@user).where(q)
          paginate @orders, each_serializer: OrderSerializer
        end

        def show
          if @order
            render jsonapi: @order, serializer: OrderSerializer
          else
            render_json_error :not_found, :order_not_found
          end

        end

        def create
          @order = Order.new(order_params)
          @order.user_id = @user.id
          if @order.save
            render json: @order, status: :created #, location: @order
          else
            respond_with_errors(@order)
          end
        end

        def update
          render_json_error :unprocessable_entity, :not_implemented
        end

        def destroy
          render_json_error :unprocessable_entity, :not_implemented
        end

        def current_user
          @user
        end

        def set_order
          @order = Order.readable_by(current_user).find_by(id: params[:id])
        end

        private
        def order_params
          ActiveModelSerializers::Deserialization.jsonapi_parse!(params, only: [:host, :product_ids, :writers, :readers] )
        end
      end
    end
  end
end