module Store
  module Api
    class Store::VouchersController < ::Store::ApplicationController
      skip_before_filter :verify_authenticity_token
      skip_before_filter :set_user

      def index
        if params[:token] && peer = Peer.active.find_by(token: params[:token])
          @vouchers = Voucher.where(host: peer.host)
          paginate @vouchers, each_serializer: VoucherSerializer
        else
          render_json_error 403, :peer_not_found
        end
      end
    end
  end
end