module Store
  class ApplicationController < ::Api::D2::ApplicationController
    serialization_scope :current_user
    respond_to :json

    before_action :allow_true_user, :check_if_log_as, if: :true_user?

    def log_action
      status = response.code
      p = params.except(:controller, :action, :uuid, :doc, :space, :auth_token, :file)
      LogJob.perform_later(user_id: (current_user && current_user.id.to_s), code: "API-STORE-#{controller_path}", action: "status : #{status} | params : #{p}")
    end
  end
end
