module Store
  class Customer
    include Mongoid::Document
    include Mongoid::Timestamps

    field :responsible, type: String
    field :title, type: String
    field :payment_method, type: String
    field :host, type: String

    has_many :orders, dependent: :destroy, class_name: 'Store::Order'
    belongs_to :user, foreign_key: :responsible

    include ::AclProtected

    writer_roles 'Superadmin', 'Administrator'
    reader_roles 'Manager'
  end
end