module Store
  class Voucher
    include Mongoid::Document
    include Mongoid::Timestamps

    field :code, type: String
    field :host, type: String
    field :module, type: String
    field :type, type: String

    belongs_to :product, class_name: 'Store::Product'
    belongs_to :order, class_name: 'Store::Order'
    belongs_to :customer, class_name: 'Store::Customer'

    before_save :gen_code

    def gen_code
      if (product = self.product) && !self.order.host.blank?
        self.code=product.gen_code_for(self.order.host)
        self.host=self.order.host
        self.module=self.product.package
        self.type=self.product.type
      end
    end

  end
end