# frozen_string_literal: true

module Store
  class OrderSerializer < Store::ApplicationSerializer
    attributes :id, :currency, :total_price, :host, :payment_amount, :payment_method, :payment_status, :user_id
    type 'orders'

    belongs_to :customer, serializer: Store::CustomerSerializer
    has_many :products, serializer: Store::ProductSerializer
    has_many :vouchers, serializer: Store::VoucherSerializer
  end
end