module Store
  module Search
    class CustomersSearch < ::Search::BaseSearch
      def initialize(p, options={})
        @main_key='title'
        super(p, options={})
      end

      def get_context
        @context='Store::CustomerSearch'
        @context_class=Store::Customer
      end

      def run_filters(query)
        if @prefix.blank?
          query=build_customers_filter(query)
          query=build_sounds_filter(query)
        end
        super(query)
      end

      private
      def build_customers_filter(query)
        unless query["payment_method"].blank?
          query["payment_method"]=query["payment_method"].to_s
        end

        unless query["host"].blank?
          query["host"]=query["host"].to_bool
        end

        query
      end
    end
  end
end
