module Store
  module Search
    class ProductsSearch < ::Search::BaseSearch
      def initialize(p, options={})
        @main_key='title'
        super(p, options={})
      end

      def get_context
        @context='Store::ProductSearch'
        @context_class=Store::Product
      end

      def run_filters(query)
        if @prefix.blank?
          query=build_products_filter(query)
          query=build_sounds_filter(query)
        end
        super(query)
      end

      private
      def build_products_filter(query)
        unless query["package"].blank?
          query["package"]=query["package"].to_s
        end

        unless query["type"].blank?
          query["type"]=query["type"].to_bool
        end

        query
      end
    end
  end
end
